Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn.protocol.v2
Class RegisterPersonRequest

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.RequestType
          be.fgov.ehealth.consultrn.commons.protocol.v3.ConsultRnRequestType
              be.fgov.ehealth.consultrn.protocol.v2.RegisterPersonRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:38:57+02:00",
               comments="JAXB RI v2.2.11")
    public class RegisterPersonRequest

extends ConsultRnRequestType
implements Serializable

Type defining the structure of the request to register a person

Java class for RegisterPersonRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RegisterPersonRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:consultrn:commons:protocol:v3}ConsultRnRequestType">
           <sequence>
             <element name="Person" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}PersonRequestType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`RegisterPersonRequest()`

Method Summary
`PersonRequestType` | `getPerson()` Gets the value of the person property.
`void` | `setPerson(PersonRequestType value)` Sets the value of the person property.

Methods inherited from class be.fgov.ehealth.consultrn.commons.protocol.v3.ConsultRnRequestType
`getApplicationID, setApplicationID`

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType
`getId, getIssueInstant, setId, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegisterPersonRequest

    public RegisterPersonRequest()

Method Detail

### getPerson

    public PersonRequestType getPerson()

  Gets the value of the person property.

  Returns:
    possible object is `PersonRequestType`

### setPerson

    public void setPerson(PersonRequestType value)

  Sets the value of the person property.

  Parameters:
    `value` - allowed object is `PersonRequestType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.